using RestSharp;
var options = new RestClientOptions("https://prod-api.raisedonors.com/api/Segment/replace");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"currentSegmentId\": 123,\n \"newSegmentId\": 123\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
{
"type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"errors": {
"code": [
"A segment with this code already exists."
]
},
"instance": "/api/Segment/replace"
}
{
"type": "https://tools.ietf.org/html/rfc7235#section-3.1",
"title": "Unauthorized",
"status": 401,
"detail": "The Authorization header is missing, malformed, or carries a token that is expired or revoked.",
"instance": "/api/Segment/replace"
}
Segment
Replace a Segment
Reassigns the records that reference one segment to another.
using RestSharp;
var options = new RestClientOptions("https://prod-api.raisedonors.com/api/Segment/replace");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"currentSegmentId\": 123,\n \"newSegmentId\": 123\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
{
"type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"errors": {
"code": [
"A segment with this code already exists."
]
},
"instance": "/api/Segment/replace"
}
{
"type": "https://tools.ietf.org/html/rfc7235#section-3.1",
"title": "Unauthorized",
"status": 401,
"detail": "The Authorization header is missing, malformed, or carries a token that is expired or revoked.",
"instance": "/api/Segment/replace"
}
Send currentSegmentId and newSegmentId; the response is the number of records moved.
Authorizations
Authorization
string
header
required
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Body
application/jsontext/jsonapplication/*+json
The replace segment request model.
Represents a segment replacement request.
currentSegmentId
integer<int64>
The unique identifier of the segment to replace.
newSegmentId
integer<int64> | null
The unique identifier of the segment to use instead.
Response
OK
The response is of type integer<int32>.
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Virtuous API Docs","colors":{"primary":"#00A3E0","light":"#00A3E0","dark":"#00A3E0"},"logo":{"light":"https://mintcdn.com/virtuous-7a5d9ba3/3Z-OfpCv07Qt6t9Z/logo/light.svg?fit=max\u0026auto=format\u0026n=3Z-OfpCv07Qt6t9Z\u0026q=85\u0026s=a4a7a0098ed125e3782554092ea0c518","dark":"https://mintcdn.com/virtuous-7a5d9ba3/3Z-OfpCv07Qt6t9Z/logo/dark.svg?fit=max\u0026auto=format\u0026n=3Z-OfpCv07Qt6t9Z\u0026q=85\u0026s=942d0c1a195f85aa0edf4f6fbd3d5413","href":"https://virtuous.org"},"favicon":"https://mintcdn.com/virtuous-7a5d9ba3/3Z-OfpCv07Qt6t9Z/favicon.png?fit=max\u0026auto=format\u0026n=3Z-OfpCv07Qt6t9Z\u0026q=85\u0026s=4fd5393f4a0f0339258c9a2caad66f77","api":{"playground":{"display":"interactive"},"examples":{"defaults":"all","languages":["bash","javascript","python","dotnet","php","java","ruby","node"],"prefill":true,"autogenerate":true},"url":"full"},"appearance":{"default":"light"},"background":{"decoration":"windows","color":{"dark":"#081F2C"}},"navbar":{"links":[{"href":"https://app.virtuoussoftware.com/Account/Login","label":"Login"}],"primary":{"type":"button","label":"Request a Demo","href":"https://virtuous.org/schedule-a-demo/"}},"footer":{"socials":{"x":"https://x.com/virtuouscrm","facebook":"https://www.facebook.com/virtuouscrm","linkedin":"https://www.linkedin.com/company/virtuous","youtube":"https://www.youtube.com/VirtuousSoftware","instagram":"https://www.instagram.com/virtuouscrm"},"links":[{"header":"CRM","items":[{"label":"Login","href":"https://app.virtuoussoftware.com/Account/Login"},{"label":"Features","href":"https://virtuous.org/software/crm"},{"label":"Help Center","href":"https://support.virtuous.org/hc/en-us"}]},{"header":"RAISE","items":[{"label":"Login","href":"https://app.raisedonors.com/"},{"label":"Features","href":"https://explore.raisedonors.com/"},{"label":"Help Center","href":"https://help.raisedonors.com/hc/en-us"}]},{"header":"VOLUNTEER","items":[{"label":"Login","href":"https://app.vomo.org/login"},{"label":"Features","href":"https://virtuous.org/software/volunteer"},{"label":"Help Center","href":"https://support.vomo.org/hc/en-us"}]}]},"seo":{"metatags":{"robots":"noindex"}},"fonts":{"family":"Inter","format":"woff2"},"errors":{"404":{"redirect":false,"title":"Page Not Found"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"interaction":{"drilldown":true},"metadata":{"timestamp":true},"markdown":{"schema":false},"styling":{"latex":true},"navigation":{"global":{"anchors":[{"anchor":"Status","icon":"chart-simple","href":"https://virtuous.org/system-status/"},{"anchor":"Help Center","icon":"headset","href":"https://virtuous.org/resources/help-center"},{"anchor":"Product Hub","icon":"newspaper","href":"https://product.virtuous.org/"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"virtuous-7a5d9ba3","hasAudioNarration":false,"actualSubdomain":"virtuous-7a5d9ba3","customDomains":["docs.virtuous.org"],"gitSource":{"type":"github","owner":"virtuouscrm","repo":"api-docs-mintlify","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true,"agentFeedback":true,"contextualFeedback":{"allowEmail":true}},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6b007f5089d041245aff48e0","clientVersion":"0.0.4269","searchFilterCounts":[{"language":"default","tag":"API Reference","count":468},{"language":"default","tag":"Virtuous CRM+","count":352},{"language":"default","tag":"Virtuous RAISE","count":181},{"language":"default","tag":"Guides","count":140},{"language":"default","tag":"Contacts and Individuals","count":98},{"language":"default","tag":"Virtuous VOLUNTEER","count":66},{"language":"default","tag":"Giving","count":63},{"language":"default","tag":"Donor","count":46},{"language":"default","tag":"Projects","count":34},{"language":"default","tag":"Workflows","count":26}],"searchSettings":{"showContentSnippets":true,"isFiltersEnabled":true}},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":true,"enableContextualStarterQuestions":true,"enableAskAiSearchBar":true,"deflection":{"enabled":true,"email":"integrations@virtuous.org"}},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"site-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"control","enabled":true,"payload":{"type":"string","value":"control"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"wildcard-email-auth","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"#page-title{color:#243746}.dark #page-title{color:#FFFFFF}"}]}
{"page":{"pagePath":"api-reference/segment/replace-a-segment","slug":"/api-reference/segment/replace-a-segment","pageMetadata":{"title":"Replace a Segment","description":"Reassigns the records that reference one segment to another.","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json put /api/Segment/replace","href":"/api-reference/segment/replace-a-segment","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Reassigns the records that reference one segment to another.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,..._provideComponents(),...props.components};return _jsxs(_components.p,{children:[`Send `,_jsx(_components.code,{children:`currentSegmentId`}),` and `,_jsx(_components.code,{children:`newSegmentId`}),`; the response is the number of records moved.`]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Replace a Segment","description":"Reassigns the records that reference one segment to another.","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json put /api/Segment/replace","href":"/api-reference/segment/replace-a-segment","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Segment"],"summary":"Replace a Segment","description":"Reassigns the records that reference one segment to another.","x-mint":{"content":"Send `currentSegmentId` and `newSegmentId`; the response is the number of records moved."},"operationId":"Segment_ReplaceSegment","requestBody":"7bd24088-d175-46cf-b282-9bc75b3a8926","responses":{"200":"9f53703e-cf77-4c97-a1ce-5d4b455ef544","400":"2468a2e2-1865-48c8-a311-88a3c23b17de","401":"c25f2fa8-6af3-479c-80dd-ab7fa93dc0a7"},"method":"put","type":"path","servers":["7fc714ab-a0a9-4ef9-b33d-fc58ed75e30b"],"security":["5d71430c-ca7b-441a-b139-8379d412a3ab"],"path":"/api/Segment/replace","baseUrlOptions":["https://prod-api.raisedonors.com"],"title":"Replace a Segment","codeSamples":[],"requestExampleLanguages":["bash","javascript","python","dotnet","php","java","ruby","node"],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated","prefillPlaygroundWithExample":true,"prefillPlaygroundExamples":[{"body.currentSegmentId":123,"body.newSegmentId.oneOf.0":123}],"urlDisplay":"full"},"dependencies":{"parameters":{},"requestBody":{"description":"The replace segment request model.","content":{"application/json":{"schema":{"type":"object","description":"Represents a segment replacement request.","properties":{"currentSegmentId":{"type":"integer","description":"The unique identifier of the segment to replace.","format":"int64","uniqueKey":"currentSegmentId","typeLabel":"integer\u003cint64>"},"newSegmentId":{"oneOf":[{"type":"integer","description":"The unique identifier of the segment to use instead.","format":"int64","uniqueKey":"newSegmentId.oneOf.0","typeLabel":"integer\u003cint64>"},{"type":"null","description":"The unique identifier of the segment to use instead.","format":"int64","uniqueKey":"newSegmentId.oneOf.1","typeLabel":"null"}],"uniqueKey":"newSegmentId","typeLabel":"integer\u003cint64> | null"}},"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"currentSegmentId":123,"newSegmentId":123}}},"exampleType":"generated"},"text/json":{"schema":{"type":"object","description":"Represents a segment replacement request.","properties":{"currentSegmentId":{"type":"integer","description":"The unique identifier of the segment to replace.","format":"int64","uniqueKey":"currentSegmentId","typeLabel":"integer\u003cint64>"},"newSegmentId":{"oneOf":[{"type":"integer","description":"The unique identifier of the segment to use instead.","format":"int64","uniqueKey":"newSegmentId.oneOf.0","typeLabel":"integer\u003cint64>"},{"type":"null","description":"The unique identifier of the segment to use instead.","format":"int64","uniqueKey":"newSegmentId.oneOf.1","typeLabel":"null"}],"uniqueKey":"newSegmentId","typeLabel":"integer\u003cint64> | null"}},"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"currentSegmentId":123,"newSegmentId":123}}},"exampleType":"generated"},"application/*+json":{"schema":{"type":"object","description":"Represents a segment replacement request.","properties":{"currentSegmentId":{"type":"integer","description":"The unique identifier of the segment to replace.","format":"int64","uniqueKey":"currentSegmentId","typeLabel":"integer\u003cint64>"},"newSegmentId":{"oneOf":[{"type":"integer","description":"The unique identifier of the segment to use instead.","format":"int64","uniqueKey":"newSegmentId.oneOf.0","typeLabel":"integer\u003cint64>"},{"type":"null","description":"The unique identifier of the segment to use instead.","format":"int64","uniqueKey":"newSegmentId.oneOf.1","typeLabel":"null"}],"uniqueKey":"newSegmentId","typeLabel":"integer\u003cint64> | null"}},"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"currentSegmentId":123,"newSegmentId":123}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"9f53703e-cf77-4c97-a1ce-5d4b455ef544":{"description":"OK","content":{"text/plain":{"schema":{"type":"integer","format":"int32","uniqueKey":"","typeLabel":"integer\u003cint32>"},"example":5120,"examples":{"Example":{"title":"Example","value":5120}},"exampleType":"examples"},"application/json":{"schema":{"type":"integer","format":"int32","uniqueKey":"","typeLabel":"integer\u003cint32>"},"example":5120,"examples":{"Example":{"title":"Example","value":5120}},"exampleType":"examples"},"text/json":{"schema":{"type":"integer","format":"int32","uniqueKey":"","typeLabel":"integer\u003cint32>"},"example":5120,"examples":{"Example":{"title":"Example","value":5120}},"exampleType":"examples"}},"exampleType":"examples"},"2468a2e2-1865-48c8-a311-88a3c23b17de":{"description":"Bad Request — the replacement was not applied. Send both `currentSegmentId` and `newSegmentId`, as two different segments the token can see; `detail` names which one the API rejected.","content":{"text/plain":{"schema":{"oneOf":[{"type":"object","properties":{"type":{"oneOf":[{"type":"string","description":"A URI identifying the type of problem.","uniqueKey":"oneOf.0.type.oneOf.0","typeLabel":"string"},{"type":"null","description":"A URI identifying the type of problem.","uniqueKey":"oneOf.0.type.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.type","typeLabel":"string | null"},"title":{"oneOf":[{"type":"string","description":"A short summary of the problem.","uniqueKey":"oneOf.0.title.oneOf.0","typeLabel":"string"},{"type":"null","description":"A short summary of the problem.","uniqueKey":"oneOf.0.title.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.title","typeLabel":"string | null"},"status":{"oneOf":[{"type":"integer","description":"The HTTP status code of the response.","format":"int32","uniqueKey":"oneOf.0.status.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","description":"The HTTP status code of the response.","format":"int32","uniqueKey":"oneOf.0.status.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.status","typeLabel":"integer\u003cint32> | null"},"detail":{"oneOf":[{"type":"string","description":"An explanation of what went wrong with this specific request.","uniqueKey":"oneOf.0.detail.oneOf.0","typeLabel":"string"},{"type":"null","description":"An explanation of what went wrong with this specific request.","uniqueKey":"oneOf.0.detail.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.detail","typeLabel":"string | null"},"instance":{"oneOf":[{"type":"string","description":"A URI identifying the request that produced the problem.","uniqueKey":"oneOf.0.instance.oneOf.0","typeLabel":"string"},{"type":"null","description":"A URI identifying the request that produced the problem.","uniqueKey":"oneOf.0.instance.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.instance","typeLabel":"string | null"}},"additionalProperties":{"oneOf":[{}],"uniqueKey":"oneOf.0.additionalProperties","typeLabel":"any"},"uniqueKey":"oneOf.0","typeLabel":"object"},{"type":"object","properties":{"type":{"oneOf":[{"type":"string","description":"A URI identifying the type of problem.","uniqueKey":"oneOf.1.type.oneOf.0","typeLabel":"string"},{"type":"null","description":"A URI identifying the type of problem.","uniqueKey":"oneOf.1.type.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.1.type","typeLabel":"string | null"},"title":{"oneOf":[{"type":"string","description":"A short summary of the problem.","uniqueKey":"oneOf.1.title.oneOf.0","typeLabel":"string"},{"type":"null","description":"A short summary of the problem.","uniqueKey":"oneOf.1.title.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.1.title","typeLabel":"string | null"},"status":{"oneOf":[{"type":"integer","description":"The HTTP status code of the response.","format":"int32","uniqueKey":"oneOf.1.status.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","description":"The HTTP status code of the response.","format":"int32","uniqueKey":"oneOf.1.status.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.1.status","typeLabel":"integer\u003cint32> | null"},"detail":{"oneOf":[{"type":"string","description":"An explanation of what went wrong with this specific request.","uniqueKey":"oneOf.1.detail.oneOf.0","typeLabel":"string"},{"type":"null","description":"An explanation of what went wrong with this specific request.","uniqueKey":"oneOf.1.detail.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.1.detail","typeLabel":"string | null"},"instance":{"oneOf":[{"type":"string","description":"A URI identifying the request that produced the problem.","uniqueKey":"oneOf.1.instance.oneOf.0","typeLabel":"string"},{"type":"null","description":"A URI identifying the request that produced the problem.","uniqueKey":"oneOf.1.instance.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.1.instance","typeLabel":"string | null"},"errors":{"oneOf":[{"type":"object","additionalProperties":{"type":"array","items":{"type":"string","uniqueKey":"oneOf.1.errors.oneOf.0.additionalProperties.items.[INDEX]","typeLabel":"string"},"uniqueKey":"oneOf.1.errors.oneOf.0.additionalProperties","typeLabel":"string[]"},"description":"The validation errors, keyed by the field they apply to.","uniqueKey":"oneOf.1.errors.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":{"type":"array","items":{"type":"string","uniqueKey":"oneOf.1.errors.oneOf.1.additionalProperties.items.[INDEX]","typeLabel":"string"},"uniqueKey":"oneOf.1.errors.oneOf.1.additionalProperties","typeLabel":"string[]"},"description":"The validation errors, keyed by the field they apply to.","uniqueKey":"oneOf.1.errors.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.1.errors","typeLabel":"object | null"}},"additionalProperties":{"oneOf":[{}],"uniqueKey":"oneOf.1.additionalProperties","typeLabel":"any"},"uniqueKey":"oneOf.1","typeLabel":"object"}],"uniqueKey":"","typeLabel":"object"},"example":{"type":"https://tools.ietf.org/html/rfc7231#section-6.5.1","title":"One or more validation errors occurred.","status":400,"errors":{"code":["A segment with this code already exists."]},"instance":"/api/Segment/replace"},"examples":{"Example":{"title":"Example","value":{"type":"https://tools.ietf.org/html/rfc7231#section-6.5.1","title":"One or more validation errors occurred.","status":400,"errors":{"code":["A segment with this code already exists."]},"instance":"/api/Segment/replace"}}},"exampleType":"examples"},"application/json":{"schema":{"oneOf":[{"type":"object","properties":{"type":{"oneOf":[{"type":"string","description":"A URI identifying the type of problem.","uniqueKey":"oneOf.0.type.oneOf.0","typeLabel":"string"},{"type":"null","description":"A URI identifying the type of problem.","uniqueKey":"oneOf.0.type.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.type","typeLabel":"string | null"},"title":{"oneOf":[{"type":"string","description":"A short summary of the problem.","uniqueKey":"oneOf.0.title.oneOf.0","typeLabel":"string"},{"type":"null","description":"A short summary of the problem.","uniqueKey":"oneOf.0.title.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.title","typeLabel":"string | null"},"status":{"oneOf":[{"type":"integer","description":"The HTTP status code of the response.","format":"int32","uniqueKey":"oneOf.0.status.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","description":"The HTTP status code of the response.","format":"int32","uniqueKey":"oneOf.0.status.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.status","typeLabel":"integer\u003cint32> | null"},"detail":{"oneOf":[{"type":"string","description":"An explanation of what went wrong with this specific request.","uniqueKey":"oneOf.0.detail.oneOf.0","typeLabel":"string"},{"type":"null","description":"An explanation of what went wrong with this specific request.","uniqueKey":"oneOf.0.detail.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.detail","typeLabel":"string | null"},"instance":{"oneOf":[{"type":"string","description":"A URI identifying the request that produced the problem.","uniqueKey":"oneOf.0.instance.oneOf.0","typeLabel":"string"},{"type":"null","description":"A URI identifying the request that produced the problem.","uniqueKey":"oneOf.0.instance.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.instance","typeLabel":"string | null"}},"additionalProperties":{"oneOf":[{}],"uniqueKey":"oneOf.0.additionalProperties","typeLabel":"any"},"uniqueKey":"oneOf.0","typeLabel":"object"},{"type":"object","properties":{"type":{"oneOf":[{"type":"string","description":"A URI identifying the type of problem.","uniqueKey":"oneOf.1.type.oneOf.0","typeLabel":"string"},{"type":"null","description":"A URI identifying the type of problem.","uniqueKey":"oneOf.1.type.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.1.type","typeLabel":"string | null"},"title":{"oneOf":[{"type":"string","description":"A short summary of the problem.","uniqueKey":"oneOf.1.title.oneOf.0","typeLabel":"string"},{"type":"null","description":"A short summary of the problem.","uniqueKey":"oneOf.1.title.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.1.title","typeLabel":"string | null"},"status":{"oneOf":[{"type":"integer","description":"The HTTP status code of the response.","format":"int32","uniqueKey":"oneOf.1.status.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","description":"The HTTP status code of the response.","format":"int32","uniqueKey":"oneOf.1.status.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.1.status","typeLabel":"integer\u003cint32> | null"},"detail":{"oneOf":[{"type":"string","description":"An explanation of what went wrong with this specific request.","uniqueKey":"oneOf.1.detail.oneOf.0","typeLabel":"string"},{"type":"null","description":"An explanation of what went wrong with this specific request.","uniqueKey":"oneOf.1.detail.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.1.detail","typeLabel":"string | null"},"instance":{"oneOf":[{"type":"string","description":"A URI identifying the request that produced the problem.","uniqueKey":"oneOf.1.instance.oneOf.0","typeLabel":"string"},{"type":"null","description":"A URI identifying the request that produced the problem.","uniqueKey":"oneOf.1.instance.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.1.instance","typeLabel":"string | null"},"errors":{"oneOf":[{"type":"object","additionalProperties":{"type":"array","items":{"type":"string","uniqueKey":"oneOf.1.errors.oneOf.0.additionalProperties.items.[INDEX]","typeLabel":"string"},"uniqueKey":"oneOf.1.errors.oneOf.0.additionalProperties","typeLabel":"string[]"},"description":"The validation errors, keyed by the field they apply to.","uniqueKey":"oneOf.1.errors.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":{"type":"array","items":{"type":"string","uniqueKey":"oneOf.1.errors.oneOf.1.additionalProperties.items.[INDEX]","typeLabel":"string"},"uniqueKey":"oneOf.1.errors.oneOf.1.additionalProperties","typeLabel":"string[]"},"description":"The validation errors, keyed by the field they apply to.","uniqueKey":"oneOf.1.errors.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.1.errors","typeLabel":"object | null"}},"additionalProperties":{"oneOf":[{}],"uniqueKey":"oneOf.1.additionalProperties","typeLabel":"any"},"uniqueKey":"oneOf.1","typeLabel":"object"}],"uniqueKey":"","typeLabel":"object"},"example":{"type":"https://tools.ietf.org/html/rfc7231#section-6.5.1","title":"One or more validation errors occurred.","status":400,"errors":{"code":["A segment with this code already exists."]},"instance":"/api/Segment/replace"},"examples":{"Example":{"title":"Example","value":{"type":"https://tools.ietf.org/html/rfc7231#section-6.5.1","title":"One or more validation errors occurred.","status":400,"errors":{"code":["A segment with this code already exists."]},"instance":"/api/Segment/replace"}}},"exampleType":"examples"},"text/json":{"schema":{"oneOf":[{"type":"object","properties":{"type":{"oneOf":[{"type":"string","description":"A URI identifying the type of problem.","uniqueKey":"oneOf.0.type.oneOf.0","typeLabel":"string"},{"type":"null","description":"A URI identifying the type of problem.","uniqueKey":"oneOf.0.type.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.type","typeLabel":"string | null"},"title":{"oneOf":[{"type":"string","description":"A short summary of the problem.","uniqueKey":"oneOf.0.title.oneOf.0","typeLabel":"string"},{"type":"null","description":"A short summary of the problem.","uniqueKey":"oneOf.0.title.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.title","typeLabel":"string | null"},"status":{"oneOf":[{"type":"integer","description":"The HTTP status code of the response.","format":"int32","uniqueKey":"oneOf.0.status.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","description":"The HTTP status code of the response.","format":"int32","uniqueKey":"oneOf.0.status.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.status","typeLabel":"integer\u003cint32> | null"},"detail":{"oneOf":[{"type":"string","description":"An explanation of what went wrong with this specific request.","uniqueKey":"oneOf.0.detail.oneOf.0","typeLabel":"string"},{"type":"null","description":"An explanation of what went wrong with this specific request.","uniqueKey":"oneOf.0.detail.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.detail","typeLabel":"string | null"},"instance":{"oneOf":[{"type":"string","description":"A URI identifying the request that produced the problem.","uniqueKey":"oneOf.0.instance.oneOf.0","typeLabel":"string"},{"type":"null","description":"A URI identifying the request that produced the problem.","uniqueKey":"oneOf.0.instance.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.instance","typeLabel":"string | null"}},"additionalProperties":{"oneOf":[{}],"uniqueKey":"oneOf.0.additionalProperties","typeLabel":"any"},"uniqueKey":"oneOf.0","typeLabel":"object"},{"type":"object","properties":{"type":{"oneOf":[{"type":"string","description":"A URI identifying the type of problem.","uniqueKey":"oneOf.1.type.oneOf.0","typeLabel":"string"},{"type":"null","description":"A URI identifying the type of problem.","uniqueKey":"oneOf.1.type.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.1.type","typeLabel":"string | null"},"title":{"oneOf":[{"type":"string","description":"A short summary of the problem.","uniqueKey":"oneOf.1.title.oneOf.0","typeLabel":"string"},{"type":"null","description":"A short summary of the problem.","uniqueKey":"oneOf.1.title.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.1.title","typeLabel":"string | null"},"status":{"oneOf":[{"type":"integer","description":"The HTTP status code of the response.","format":"int32","uniqueKey":"oneOf.1.status.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","description":"The HTTP status code of the response.","format":"int32","uniqueKey":"oneOf.1.status.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.1.status","typeLabel":"integer\u003cint32> | null"},"detail":{"oneOf":[{"type":"string","description":"An explanation of what went wrong with this specific request.","uniqueKey":"oneOf.1.detail.oneOf.0","typeLabel":"string"},{"type":"null","description":"An explanation of what went wrong with this specific request.","uniqueKey":"oneOf.1.detail.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.1.detail","typeLabel":"string | null"},"instance":{"oneOf":[{"type":"string","description":"A URI identifying the request that produced the problem.","uniqueKey":"oneOf.1.instance.oneOf.0","typeLabel":"string"},{"type":"null","description":"A URI identifying the request that produced the problem.","uniqueKey":"oneOf.1.instance.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.1.instance","typeLabel":"string | null"},"errors":{"oneOf":[{"type":"object","additionalProperties":{"type":"array","items":{"type":"string","uniqueKey":"oneOf.1.errors.oneOf.0.additionalProperties.items.[INDEX]","typeLabel":"string"},"uniqueKey":"oneOf.1.errors.oneOf.0.additionalProperties","typeLabel":"string[]"},"description":"The validation errors, keyed by the field they apply to.","uniqueKey":"oneOf.1.errors.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":{"type":"array","items":{"type":"string","uniqueKey":"oneOf.1.errors.oneOf.1.additionalProperties.items.[INDEX]","typeLabel":"string"},"uniqueKey":"oneOf.1.errors.oneOf.1.additionalProperties","typeLabel":"string[]"},"description":"The validation errors, keyed by the field they apply to.","uniqueKey":"oneOf.1.errors.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.1.errors","typeLabel":"object | null"}},"additionalProperties":{"oneOf":[{}],"uniqueKey":"oneOf.1.additionalProperties","typeLabel":"any"},"uniqueKey":"oneOf.1","typeLabel":"object"}],"uniqueKey":"","typeLabel":"object"},"example":{"type":"https://tools.ietf.org/html/rfc7231#section-6.5.1","title":"One or more validation errors occurred.","status":400,"errors":{"code":["A segment with this code already exists."]},"instance":"/api/Segment/replace"},"examples":{"Example":{"title":"Example","value":{"type":"https://tools.ietf.org/html/rfc7231#section-6.5.1","title":"One or more validation errors occurred.","status":400,"errors":{"code":["A segment with this code already exists."]},"instance":"/api/Segment/replace"}}},"exampleType":"examples"}},"exampleType":"examples"},"c25f2fa8-6af3-479c-80dd-ab7fa93dc0a7":{"description":"Unauthorized — the `Authorization` header is missing, or the bearer token is malformed, expired, or revoked. Every Raise endpoint requires authentication, so this can be returned in place of any other response. Retrying with the same credential fails the same way — replace the token first. See [Authentication](/raise/authentication).","content":{"text/plain":{"schema":{"type":"object","properties":{"type":{"oneOf":[{"type":"string","description":"A URI identifying the type of problem.","uniqueKey":"type.oneOf.0","typeLabel":"string"},{"type":"null","description":"A URI identifying the type of problem.","uniqueKey":"type.oneOf.1","typeLabel":"null"}],"uniqueKey":"type","typeLabel":"string | null"},"title":{"oneOf":[{"type":"string","description":"A short summary of the problem.","uniqueKey":"title.oneOf.0","typeLabel":"string"},{"type":"null","description":"A short summary of the problem.","uniqueKey":"title.oneOf.1","typeLabel":"null"}],"uniqueKey":"title","typeLabel":"string | null"},"status":{"oneOf":[{"type":"integer","description":"The HTTP status code of the response.","format":"int32","uniqueKey":"status.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","description":"The HTTP status code of the response.","format":"int32","uniqueKey":"status.oneOf.1","typeLabel":"null"}],"uniqueKey":"status","typeLabel":"integer\u003cint32> | null"},"detail":{"oneOf":[{"type":"string","description":"An explanation of what went wrong with this specific request.","uniqueKey":"detail.oneOf.0","typeLabel":"string"},{"type":"null","description":"An explanation of what went wrong with this specific request.","uniqueKey":"detail.oneOf.1","typeLabel":"null"}],"uniqueKey":"detail","typeLabel":"string | null"},"instance":{"oneOf":[{"type":"string","description":"A URI identifying the request that produced the problem.","uniqueKey":"instance.oneOf.0","typeLabel":"string"},{"type":"null","description":"A URI identifying the request that produced the problem.","uniqueKey":"instance.oneOf.1","typeLabel":"null"}],"uniqueKey":"instance","typeLabel":"string | null"}},"additionalProperties":{"oneOf":[{}],"uniqueKey":"additionalProperties","typeLabel":"any"},"uniqueKey":"","typeLabel":"object"},"example":{"type":"https://tools.ietf.org/html/rfc7235#section-3.1","title":"Unauthorized","status":401,"detail":"The Authorization header is missing, malformed, or carries a token that is expired or revoked.","instance":"/api/Segment/replace"},"examples":{"Example":{"title":"Example","value":{"type":"https://tools.ietf.org/html/rfc7235#section-3.1","title":"Unauthorized","status":401,"detail":"The Authorization header is missing, malformed, or carries a token that is expired or revoked.","instance":"/api/Segment/replace"}}},"exampleType":"examples"},"application/json":{"schema":{"type":"object","properties":{"type":{"oneOf":[{"type":"string","description":"A URI identifying the type of problem.","uniqueKey":"type.oneOf.0","typeLabel":"string"},{"type":"null","description":"A URI identifying the type of problem.","uniqueKey":"type.oneOf.1","typeLabel":"null"}],"uniqueKey":"type","typeLabel":"string | null"},"title":{"oneOf":[{"type":"string","description":"A short summary of the problem.","uniqueKey":"title.oneOf.0","typeLabel":"string"},{"type":"null","description":"A short summary of the problem.","uniqueKey":"title.oneOf.1","typeLabel":"null"}],"uniqueKey":"title","typeLabel":"string | null"},"status":{"oneOf":[{"type":"integer","description":"The HTTP status code of the response.","format":"int32","uniqueKey":"status.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","description":"The HTTP status code of the response.","format":"int32","uniqueKey":"status.oneOf.1","typeLabel":"null"}],"uniqueKey":"status","typeLabel":"integer\u003cint32> | null"},"detail":{"oneOf":[{"type":"string","description":"An explanation of what went wrong with this specific request.","uniqueKey":"detail.oneOf.0","typeLabel":"string"},{"type":"null","description":"An explanation of what went wrong with this specific request.","uniqueKey":"detail.oneOf.1","typeLabel":"null"}],"uniqueKey":"detail","typeLabel":"string | null"},"instance":{"oneOf":[{"type":"string","description":"A URI identifying the request that produced the problem.","uniqueKey":"instance.oneOf.0","typeLabel":"string"},{"type":"null","description":"A URI identifying the request that produced the problem.","uniqueKey":"instance.oneOf.1","typeLabel":"null"}],"uniqueKey":"instance","typeLabel":"string | null"}},"additionalProperties":{"oneOf":[{}],"uniqueKey":"additionalProperties","typeLabel":"any"},"uniqueKey":"","typeLabel":"object"},"example":{"type":"https://tools.ietf.org/html/rfc7235#section-3.1","title":"Unauthorized","status":401,"detail":"The Authorization header is missing, malformed, or carries a token that is expired or revoked.","instance":"/api/Segment/replace"},"examples":{"Example":{"title":"Example","value":{"type":"https://tools.ietf.org/html/rfc7235#section-3.1","title":"Unauthorized","status":401,"detail":"The Authorization header is missing, malformed, or carries a token that is expired or revoked.","instance":"/api/Segment/replace"}}},"exampleType":"examples"},"text/json":{"schema":{"type":"object","properties":{"type":{"oneOf":[{"type":"string","description":"A URI identifying the type of problem.","uniqueKey":"type.oneOf.0","typeLabel":"string"},{"type":"null","description":"A URI identifying the type of problem.","uniqueKey":"type.oneOf.1","typeLabel":"null"}],"uniqueKey":"type","typeLabel":"string | null"},"title":{"oneOf":[{"type":"string","description":"A short summary of the problem.","uniqueKey":"title.oneOf.0","typeLabel":"string"},{"type":"null","description":"A short summary of the problem.","uniqueKey":"title.oneOf.1","typeLabel":"null"}],"uniqueKey":"title","typeLabel":"string | null"},"status":{"oneOf":[{"type":"integer","description":"The HTTP status code of the response.","format":"int32","uniqueKey":"status.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","description":"The HTTP status code of the response.","format":"int32","uniqueKey":"status.oneOf.1","typeLabel":"null"}],"uniqueKey":"status","typeLabel":"integer\u003cint32> | null"},"detail":{"oneOf":[{"type":"string","description":"An explanation of what went wrong with this specific request.","uniqueKey":"detail.oneOf.0","typeLabel":"string"},{"type":"null","description":"An explanation of what went wrong with this specific request.","uniqueKey":"detail.oneOf.1","typeLabel":"null"}],"uniqueKey":"detail","typeLabel":"string | null"},"instance":{"oneOf":[{"type":"string","description":"A URI identifying the request that produced the problem.","uniqueKey":"instance.oneOf.0","typeLabel":"string"},{"type":"null","description":"A URI identifying the request that produced the problem.","uniqueKey":"instance.oneOf.1","typeLabel":"null"}],"uniqueKey":"instance","typeLabel":"string | null"}},"additionalProperties":{"oneOf":[{}],"uniqueKey":"additionalProperties","typeLabel":"any"},"uniqueKey":"","typeLabel":"object"},"example":{"type":"https://tools.ietf.org/html/rfc7235#section-3.1","title":"Unauthorized","status":401,"detail":"The Authorization header is missing, malformed, or carries a token that is expired or revoked.","instance":"/api/Segment/replace"},"examples":{"Example":{"title":"Example","value":{"type":"https://tools.ietf.org/html/rfc7235#section-3.1","title":"Unauthorized","status":401,"detail":"The Authorization header is missing, malformed, or carries a token that is expired or revoked.","instance":"/api/Segment/replace"}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"5d71430c-ca7b-441a-b139-8379d412a3ab":{"Bearer":{"type":"apiKey","description":"JWT Authorization header using the Bearer scheme. Example: \"Authorization: Bearer {token}\"","name":"Authorization","in":"header","scopes":[],"schemeName":"Bearer"}}},"servers":{"7fc714ab-a0a9-4ef9-b33d-fc58ed75e30b":{"url":"https://prod-api.raisedonors.com","description":"Production API for RaiseDonors"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","description":"JWT Authorization header using the Bearer scheme. Example: \"Authorization: Bearer {token}\"","name":"Authorization","in":"header","scopes":[],"schemeName":"Bearer"},"schema":{"title":"Authorization","type":"string","description":"JWT Authorization header using the Bearer scheme. Example: \"Authorization: Bearer {token}\"","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"Bearer","name":"Authorization"}],"title":"Bearer"}]},"originalFileLocation":"raise/RaiseAPIOpenAPI.json"},"subdomain":"virtuous-7a5d9ba3","siteName":"Virtuous API Docs","title":"Replace a Segment - Virtuous API Docs","relatedPagesConfig":{"enabled":true,"limit":4,"mode":"automatic"},"contextualStarterQuestions":[],"navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{},"searchTabScopes":[{"product":"Virtuous","tab":"Guides"},{"product":"Virtuous","tab":"Partners"},{"product":"Virtuous","tab":"MCP"},{"product":"Virtuous","tab":"Glossary"},{"product":"Virtuous CRM+","tab":"Guides"},{"product":"Virtuous CRM+","tab":"API Reference"},{"product":"Virtuous CRM+","tab":"Changelog"},{"product":"Virtuous RAISE","tab":"Guides"},{"product":"Virtuous RAISE","tab":"API Reference"},{"product":"Virtuous RAISE","tab":"Changelog"},{"product":"Virtuous ANALYTICS","tab":"Data Models"},{"product":"Virtuous ANALYTICS","tab":"Changelog"},{"product":"Virtuous VOLUNTEER","tab":"Guides"},{"product":"Virtuous VOLUNTEER","tab":"API Reference"},{"product":"Virtuous VOLUNTEER","tab":"Changelog"},{"product":"Virtuous MOMENTUM","tab":"Guides"},{"product":"Virtuous MOMENTUM","tab":"Changelog"}]},"originalFileLocation":"api-reference/segment/replace-a-segment.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Reassigns the records that reference one segment to another.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Virtuous API Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003cmeta data-mint-head name=\"robots\" content=\"noindex\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/virtuous-7a5d9ba3/vpUGFW8SOljP6x0V/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/virtuous-7a5d9ba3/vpUGFW8SOljP6x0V/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/virtuous-7a5d9ba3/vpUGFW8SOljP6x0V/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/virtuous-7a5d9ba3/vpUGFW8SOljP6x0V/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/virtuous-7a5d9ba3/vpUGFW8SOljP6x0V/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/virtuous-7a5d9ba3/vpUGFW8SOljP6x0V/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/virtuous-7a5d9ba3/vpUGFW8SOljP6x0V/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/virtuous-7a5d9ba3/vpUGFW8SOljP6x0V/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/virtuous-7a5d9ba3/vpUGFW8SOljP6x0V/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Replace a Segment - Virtuous API Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Reassigns the records that reference one segment to another.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Virtuous API Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.virtuous.org/api-reference/segment/replace-a-segment\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://virtuous-7a5d9ba3.mintlify.site/_mintlify/api/og/v2?division=Segment\u0026amp;title=Replace+a+Segment\u0026amp;description=Reassigns+the+records+that+reference+one+segment+to+another.\u0026amp;theme=483f305e7e8c97e32e572c97\u0026amp;signature=cd1b24a250da83f01791730d86b1c28b5804ed8f558030d8f5f7fa97528ea068\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Replace a Segment - Virtuous API Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Reassigns the records that reference one segment to another.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://virtuous-7a5d9ba3.mintlify.site/_mintlify/api/og/v2?division=Segment\u0026amp;title=Replace+a+Segment\u0026amp;description=Reassigns+the+records+that+reference+one+segment+to+another.\u0026amp;theme=483f305e7e8c97e32e572c97\u0026amp;signature=cd1b24a250da83f01791730d86b1c28b5804ed8f558030d8f5f7fa97528ea068\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/virtuous-7a5d9ba3/vpUGFW8SOljP6x0V/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Virtuous API Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#00A3E0\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.virtuous.org/api-reference/segment/replace-a-segment\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/segment/replace-a-segment.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.virtuous.org/#organization\",\"name\":\"Virtuous API Docs\",\"url\":\"https://docs.virtuous.org\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/virtuous-7a5d9ba3/3Z-OfpCv07Qt6t9Z/logo/light.svg?fit=max\u0026auto=format\u0026n=3Z-OfpCv07Qt6t9Z\u0026q=85\u0026s=a4a7a0098ed125e3782554092ea0c518\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.virtuous.org#website\",\"name\":\"Virtuous API Docs\",\"url\":\"https://docs.virtuous.org\",\"publisher\":{\"@id\":\"https://docs.virtuous.org/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.virtuous.org/api-reference/segment/replace-a-segment#webpage\",\"url\":\"https://docs.virtuous.org/api-reference/segment/replace-a-segment\",\"name\":\"Replace a Segment\",\"description\":\"Reassigns the records that reference one segment to another.\",\"isPartOf\":{\"@id\":\"https://docs.virtuous.org#website\"},\"breadcrumb\":{\"@id\":\"https://docs.virtuous.org/api-reference/segment/replace-a-segment#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.virtuous.org/api-reference/segment/replace-a-segment#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Segment\",\"item\":\"https://docs.virtuous.org/api-reference/segment/list-all-segments\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Replace a Segment\",\"item\":\"https://docs.virtuous.org/api-reference/segment/replace-a-segment\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.virtuous.org/api-reference/segment/replace-a-segment#apireference\",\"headline\":\"Replace a Segment\",\"name\":\"Replace a Segment\",\"description\":\"Reassigns the records that reference one segment to another.\",\"url\":\"https://docs.virtuous.org/api-reference/segment/replace-a-segment\",\"mainEntityOfPage\":{\"@id\":\"https://docs.virtuous.org/api-reference/segment/replace-a-segment#webpage\"},\"publisher\":{\"@id\":\"https://docs.virtuous.org/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.virtuous.org#website\"}}]}\u003c/script>","agentPointerHref":"/api-reference/segment/replace-a-segment.md","siteName":"Virtuous API Docs","nav":{"global":{"anchors":[{"anchor":"Status","icon":"chart-simple","href":"https://virtuous.org/system-status/"},{"anchor":"Help Center","icon":"headset","href":"https://virtuous.org/resources/help-center"},{"anchor":"Product Hub","icon":"newspaper","href":"https://product.virtuous.org/"}]},"products":[{"product":"Virtuous","pages":[{"title":"Virtuous","href":""}]},{"product":"Virtuous CRM+","color":{"light":"#00a3e3","dark":"#00a3e3"},"pages":[{"title":"Virtuous CRM+","href":"/crm/overview"}]},{"product":"Virtuous RAISE","color":{"light":"#00a3e3","dark":"#00a3e3"},"tabs":[{"tab":"Guides","pages":[{"title":"Guides","href":"/raise/overview"}]},{"tab":"API Reference","groups":[{"group":"Activity","pages":[{"title":"List Donor Activities","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json post /api/Activity/list","href":"/api-reference/activity/list-donor-activities"}]},{"group":"Campaign","pages":[{"title":"List All Campaigns","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Campaign/list","href":"/api-reference/campaign/list-all-campaigns"},{"title":"Get a Campaign","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Campaign/{id}","href":"/api-reference/campaign/get-a-campaign"},{"title":"Update a Campaign","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json put /api/Campaign/{id}","href":"/api-reference/campaign/update-a-campaign"},{"title":"Delete a Campaign","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json delete /api/Campaign/{id}","href":"/api-reference/campaign/delete-a-campaign"},{"title":"Create a Campaign","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json post /api/Campaign","href":"/api-reference/campaign/create-a-campaign"},{"title":"Get Campaign Dependency Count","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Campaign/{campaignId}/dependency-count","href":"/api-reference/campaign/get-campaign-dependency-count"},{"title":"Replace a Campaign","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json put /api/Campaign/replace","href":"/api-reference/campaign/replace-a-campaign"},{"title":"Toggle Campaign Sync","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json put /api/Campaign/{campaignId}/toggle-sync","href":"/api-reference/campaign/toggle-campaign-sync"},{"title":"Query Campaigns","deprecated":true,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json post /api/Campaign/query","href":"/api-reference/campaign/query-campaigns"}]},{"group":"CustomField","pages":[{"title":"List All Custom Fields","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/CustomField/List","href":"/api-reference/customfield/list-all-custom-fields"},{"title":"Get a Custom Field","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/CustomField/{id}","href":"/api-reference/customfield/get-a-custom-field"},{"title":"Update a Custom Field","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json put /api/CustomField/{id}","href":"/api-reference/customfield/update-a-custom-field"},{"title":"Delete a Custom Field","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json delete /api/CustomField/{id}","href":"/api-reference/customfield/delete-a-custom-field"},{"title":"Create a Custom Field","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json post /api/CustomField","href":"/api-reference/customfield/create-a-custom-field"},{"title":"Get Custom Field Dependency Count","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/CustomField/{id}/dependency-count","href":"/api-reference/customfield/get-custom-field-dependency-count"}]},{"group":"Donor","pages":[{"title":"Get a Donor","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Donor/{donorId}","href":"/api-reference/donor/get-a-donor"},{"title":"List All Donors","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Donor/list","href":"/api-reference/donor/list-all-donors"},{"title":"Query Donors","deprecated":true,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json post /api/Donor/query","href":"/api-reference/donor/query-donors"},{"title":"Search Donors","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Donor/search","href":"/api-reference/donor/search-donors"},{"title":"Update a Donor","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json put /api/Donor/{id}","href":"/api-reference/donor/update-a-donor"},{"title":"Partially Update a Donor","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json patch /api/Donor/{id}","href":"/api-reference/donor/partially-update-a-donor"},{"title":"Archive a Donor","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json post /api/Donor/{id}/archive","href":"/api-reference/donor/archive-a-donor"},{"title":"Merge Donors","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json put /api/Donor/merge","href":"/api-reference/donor/merge-donors"},{"title":"Update Donor Notes","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json put /api/Donor/{donorId}/notes","href":"/api-reference/donor/update-donor-notes"},{"title":"Get a Donor Address","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Donor/{id}/address/{addressId}","href":"/api-reference/donor/get-a-donor-address"},{"title":"Partially Update a Donor Address","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json patch /api/Donor/{id}/address/{addressId}","href":"/api-reference/donor/partially-update-a-donor-address"},{"title":"Create a Donor Address","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json post /api/Donor/{id}/address","href":"/api-reference/donor/create-a-donor-address"},{"title":"Update a Donor Address","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json put /api/Donor/{id}/address/{addressId}/update","href":"/api-reference/donor/update-a-donor-address"},{"title":"Delete a Donor Address","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json delete /api/Donor/{id}/address/{addressId}/delete","href":"/api-reference/donor/delete-a-donor-address"},{"title":"List Donor Addresses","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Donor/{id}/address/list","href":"/api-reference/donor/list-donor-addresses"},{"title":"Set Primary Donor Address","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json put /api/Donor/{id}/address/{addressId}/set-primary","href":"/api-reference/donor/set-primary-donor-address"},{"title":"Get a Donor Contact Method","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Donor/{id}/contact-method/{contactMethodId}","href":"/api-reference/donor/get-a-donor-contact-method"},{"title":"Update a Donor Contact Method","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json put /api/Donor/{id}/contact-method/{contactMethodId}","href":"/api-reference/donor/update-a-donor-contact-method"},{"title":"Delete a Donor Contact Method","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json delete /api/Donor/{id}/contact-method/{contactMethodId}","href":"/api-reference/donor/delete-a-donor-contact-method"},{"title":"Partially Update a Donor Contact Method","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json patch /api/Donor/{id}/contact-method/{contactMethodId}","href":"/api-reference/donor/partially-update-a-donor-contact-method"},{"title":"Create a Donor Contact Method","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json post /api/Donor/{id}/contact-method","href":"/api-reference/donor/create-a-donor-contact-method"},{"title":"Set Primary Donor Contact Method","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json put /api/Donor/{id}/contact-method/{contactMethodId}/set-primary","href":"/api-reference/donor/set-primary-donor-contact-method"},{"title":"List Donor Contact Methods","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Donor/{id}/contact-method/list","href":"/api-reference/donor/list-donor-contact-methods"},{"title":"List Donor Email Addresses","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Donor/{id}/contact-method/email-addresses","href":"/api-reference/donor/list-donor-email-addresses"},{"title":"List Donor Phone Numbers","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Donor/{id}/contact-method/phone-numbers","href":"/api-reference/donor/list-donor-phone-numbers"},{"title":"Create a Donor Email Address","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json post /api/Donor/{id}/email","href":"/api-reference/donor/create-a-donor-email-address"},{"title":"Update a Donor Email Address","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json put /api/Donor/{id}/email/{emailId}","href":"/api-reference/donor/update-a-donor-email-address"},{"title":"Partially Update a Donor Email Address","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json patch /api/Donor/{id}/email/{emailId}","href":"/api-reference/donor/partially-update-a-donor-email-address"},{"title":"Set Primary Donor Email Address","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json put /api/Donor/{id}/email/{emailId}/set-primary","href":"/api-reference/donor/set-primary-donor-email-address"},{"title":"Create a Donor Phone Number","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json post /api/Donor/{id}/phone","href":"/api-reference/donor/create-a-donor-phone-number"},{"title":"Update a Donor Phone Number","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json put /api/Donor/{id}/phone/{phoneId}","href":"/api-reference/donor/update-a-donor-phone-number"},{"title":"Partially Update a Donor Phone Number","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json patch /api/Donor/{id}/phone/{phoneId}","href":"/api-reference/donor/partially-update-a-donor-phone-number"},{"title":"Set Primary Donor Phone Number","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json put /api/Donor/{id}/phone/{phoneId}/set-primary","href":"/api-reference/donor/set-primary-donor-phone-number"},{"title":"List Donor Custom Fields","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Donor/{donorId}/donor-fields","href":"/api-reference/donor/list-donor-custom-fields"},{"title":"List Donor Custom Field Responses","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Donor/{donorId}/responses","href":"/api-reference/donor/list-donor-custom-field-responses"},{"title":"List Donor Gifts","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Donor/{donorId}/gifts","href":"/api-reference/donor/list-donor-gifts"},{"title":"List Donor Recurring Gifts","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Donor/{donorId}/recurringgifts","href":"/api-reference/donor/list-donor-recurring-gifts"},{"title":"Create a Donor Activity","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json post /api/Donor/{id}/activity","href":"/api-reference/donor/create-a-donor-activity"},{"title":"List Activities for a Donor","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json post /api/Donor/{id}/activities","href":"/api-reference/donor/list-activities-for-a-donor"},{"title":"List Donor Projects","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Donor/{donorId}/projects","href":"/api-reference/donor/list-donor-projects"},{"title":"Get Donor Campaign Statistics","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Donor/{donorId}/campaign-statistics","href":"/api-reference/donor/get-donor-campaign-statistics"},{"title":"Get Donor Motivation Statistics","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Donor/{donorId}/motivation-statistics","href":"/api-reference/donor/get-donor-motivation-statistics"},{"title":"Get Donor Segment Statistics","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Donor/{donorId}/segment-statistics","href":"/api-reference/donor/get-donor-segment-statistics"},{"title":"Transfer a Donor Gift","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json put /api/Donor/transfer-gift","href":"/api-reference/donor/transfer-a-donor-gift"},{"title":"Transfer a Donor Recurring Gift","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json put /api/Donor/transfer-recurring-gift","href":"/api-reference/donor/transfer-a-donor-recurring-gift"},{"title":"Generate Donor Donation Page","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json post /api/Donor/{donorId}/generate-page","href":"/api-reference/donor/generate-donor-donation-page"}]},{"group":"EmailList","pages":[{"title":"Search Email Lists","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/EmailList/search","href":"/api-reference/emaillist/search-email-lists"}]},{"group":"Gift","pages":[{"title":"List All Gifts","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Gift/list","href":"/api-reference/gift/list-all-gifts"},{"title":"Get a Gift","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Gift/{id}","href":"/api-reference/gift/get-a-gift"},{"title":"Delete a Gift","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json delete /api/Gift/{id}","href":"/api-reference/gift/delete-a-gift"},{"title":"Query Gifts","deprecated":true,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json post /api/Gift/query","href":"/api-reference/gift/query-gifts"},{"title":"List Gift Custom Fields","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Gift/{giftId}/gift-fields","href":"/api-reference/gift/list-gift-custom-fields"},{"title":"Refund a Gift","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json post /api/Gift/{id}/refund","href":"/api-reference/gift/refund-a-gift"},{"title":"Update Gift Notes","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json put /api/Gift/{giftId}/notes","href":"/api-reference/gift/update-gift-notes"}]},{"group":"MotivationCode","pages":[{"title":"List All Motivation Codes","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/MotivationCode/list","href":"/api-reference/motivationcode/list-all-motivation-codes"},{"title":"Get a Motivation Code","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/MotivationCode/{id}","href":"/api-reference/motivationcode/get-a-motivation-code"},{"title":"Update a Motivation Code","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json put /api/MotivationCode/{id}","href":"/api-reference/motivationcode/update-a-motivation-code"},{"title":"Create a Motivation Code","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json post /api/MotivationCode","href":"/api-reference/motivationcode/create-a-motivation-code"},{"title":"List All Motivation Code Groups","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/MotivationCode/group/list","href":"/api-reference/motivationcode/list-all-motivation-code-groups"},{"title":"Get a Motivation Code Group","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/MotivationCode/group/{id}","href":"/api-reference/motivationcode/get-a-motivation-code-group"},{"title":"Update a Motivation Code Group","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json put /api/MotivationCode/group/{id}","href":"/api-reference/motivationcode/update-a-motivation-code-group"},{"title":"Delete a Motivation Code Group","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json delete /api/MotivationCode/group/{id}","href":"/api-reference/motivationcode/delete-a-motivation-code-group"},{"title":"Create a Motivation Code Group","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json post /api/MotivationCode/group","href":"/api-reference/motivationcode/create-a-motivation-code-group"}]},{"group":"OrgKnowledge","pages":[{"title":"List Knowledge Sources","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/org-knowledge","href":"/api-reference/orgknowledge/list-knowledge-sources"},{"title":"Create a Knowledge Source","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json post /api/org-knowledge","href":"/api-reference/orgknowledge/create-a-knowledge-source"},{"title":"Get a Knowledge Source","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/org-knowledge/{id}","href":"/api-reference/orgknowledge/get-a-knowledge-source"},{"title":"Update a Knowledge Source","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json put /api/org-knowledge/{id}","href":"/api-reference/orgknowledge/update-a-knowledge-source"},{"title":"Delete a Knowledge Source","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json delete /api/org-knowledge/{id}","href":"/api-reference/orgknowledge/delete-a-knowledge-source"},{"title":"Reindex a Knowledge Source","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json post /api/org-knowledge/{id}/reindex","href":"/api-reference/orgknowledge/reindex-a-knowledge-source"},{"title":"Upload a Knowledge Source File","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json post /api/org-knowledge/upload","href":"/api-reference/orgknowledge/upload-a-knowledge-source-file"}]},{"group":"Premium","pages":[{"title":"List All Premiums","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Premium/list","href":"/api-reference/premium/list-all-premiums"},{"title":"Get a Premium","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Premium/{id}","href":"/api-reference/premium/get-a-premium"},{"title":"Update a Premium","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json put /api/Premium/{id}","href":"/api-reference/premium/update-a-premium"},{"title":"Delete a Premium","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json delete /api/Premium/{id}","href":"/api-reference/premium/delete-a-premium"},{"title":"Create a Premium","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json post /api/Premium","href":"/api-reference/premium/create-a-premium"},{"title":"Get Premium Deactivation Impact","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Premium/{id}/deactivate","href":"/api-reference/premium/get-premium-deactivation-impact"},{"title":"Deactivate a Premium","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json put /api/Premium/{id}/deactivate","href":"/api-reference/premium/deactivate-a-premium"}]},{"group":"Project","pages":[{"title":"List All Projects","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Project/list","href":"/api-reference/project/list-all-projects"},{"title":"Get a Project","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Project/{projectId}","href":"/api-reference/project/get-a-project"},{"title":"Get a Project by Code","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Project/code/{projectCode}","href":"/api-reference/project/get-a-project-by-code"},{"title":"Create a Project","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json post /api/Project","href":"/api-reference/project/create-a-project"},{"title":"Update a Project","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json put /api/Project/{projectId}/update","href":"/api-reference/project/update-a-project"},{"title":"Delete a Project","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json delete /api/Project/{projectId}/delete","href":"/api-reference/project/delete-a-project"},{"title":"List Project Donors","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Project/{projectId}/donors","href":"/api-reference/project/list-project-donors"},{"title":"List Project Gifts","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Project/{projectId}/gifts","href":"/api-reference/project/list-project-gifts"},{"title":"Get Project Dependency Count","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Project/{projectId}/dependency-count","href":"/api-reference/project/get-project-dependency-count"},{"title":"Replace a Project","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json put /api/Project/replace","href":"/api-reference/project/replace-a-project"},{"title":"Query Projects","deprecated":true,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json post /api/Project/query","href":"/api-reference/project/query-projects"},{"title":"Check if Project Code Exists","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Project/code-exists","href":"/api-reference/project/check-if-project-code-exists"}]},{"group":"Query","pages":[{"title":"List Saved Queries","deprecated":true,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Query/list/{queryType}","href":"/api-reference/query/list-saved-queries"},{"title":"Create a Saved Query","deprecated":true,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json post /api/Query","href":"/api-reference/query/create-a-saved-query"},{"title":"Update a Saved Query","deprecated":true,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json put /api/Query/{id}","href":"/api-reference/query/update-a-saved-query"},{"title":"Delete a Saved Query","deprecated":true,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json delete /api/Query/{id}","href":"/api-reference/query/delete-a-saved-query"},{"title":"Get Query Parameter Values","deprecated":true,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Query/lookup","href":"/api-reference/query/get-query-parameter-values"},{"title":"Parse a Query String","deprecated":true,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json post /api/Query/parse","href":"/api-reference/query/parse-a-query-string"},{"title":"Get Query Options","deprecated":true,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Query/options/{queryType}","href":"/api-reference/query/get-query-options"}]},{"group":"Raise","pages":[{"title":"Process a Donation Payment","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json post /api/Raise/give","href":"/api-reference/raise/process-a-donation-payment"},{"title":"Calculate Payment Processing Cost","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Raise/cost/{organizationId}","href":"/api-reference/raise/calculate-payment-processing-cost"},{"title":"Generate Test Payment Method","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json post /api/Raise/generate-test-payment-method","href":"/api-reference/raise/generate-test-payment-method"},{"title":"Capture a Lead","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json post /api/Raise/lead","href":"/api-reference/raise/capture-a-lead"}]},{"group":"RecurringGift","pages":[{"title":"List All Recurring Gifts","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/RecurringGift/list","href":"/api-reference/recurringgift/list-all-recurring-gifts"},{"title":"Query Recurring Gifts","deprecated":true,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json post /api/RecurringGift/query","href":"/api-reference/recurringgift/query-recurring-gifts"},{"title":"Get a Recurring Gift","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/RecurringGift/{id}","href":"/api-reference/recurringgift/get-a-recurring-gift"},{"title":"Update a Recurring Gift","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json put /api/RecurringGift/{id}","href":"/api-reference/recurringgift/update-a-recurring-gift"},{"title":"List Recurring Gift Activities","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/RecurringGift/{id}/activities","href":"/api-reference/recurringgift/list-recurring-gift-activities"},{"title":"Cancel a Recurring Gift","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json put /api/RecurringGift/{id}/cancel","href":"/api-reference/recurringgift/cancel-a-recurring-gift"}]},{"group":"Segment","pages":[{"title":"List All Segments","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Segment/list/{campaignId}","href":"/api-reference/segment/list-all-segments"},{"title":"Check if Segment Code Exists","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Segment/exists","href":"/api-reference/segment/check-if-segment-code-exists"},{"title":"Get a Segment","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Segment/{id}","href":"/api-reference/segment/get-a-segment"},{"title":"Update a Segment","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json put /api/Segment/{id}","href":"/api-reference/segment/update-a-segment"},{"title":"Delete a Segment","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json delete /api/Segment/{id}","href":"/api-reference/segment/delete-a-segment"},{"title":"Create a Segment","description":"Creates a segment to track giving within a campaign.","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json post /api/Segment","href":"/api-reference/segment/create-a-segment"},{"title":"Replace a Segment","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json put /api/Segment/replace","href":"/api-reference/segment/replace-a-segment"},{"title":"List Segment Donors","description":"Returns a paginated list of the donors who have given through the segment, with how much each has contributed.","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Segment/{segmentId}/donors","href":"/api-reference/segment/list-segment-donors"},{"title":"List Segment Gifts","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Segment/{segmentId}/gifts","href":"/api-reference/segment/list-segment-gifts"},{"title":"Get Segment Page Count","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Segment/{segmentId}/page-count","href":"/api-reference/segment/get-segment-page-count"},{"title":"Query Segments","deprecated":true,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json post /api/Segment/query","href":"/api-reference/segment/query-segments"}]},{"group":"Webhook","pages":[{"title":"Get a Webhook","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Webhook/{id}","href":"/api-reference/webhook/get-a-webhook"},{"title":"Update a Webhook","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json put /api/Webhook/{id}","href":"/api-reference/webhook/update-a-webhook"},{"title":"Delete a Webhook","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json delete /api/Webhook/{id}","href":"/api-reference/webhook/delete-a-webhook"},{"title":"List All Webhooks","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Webhook/list","href":"/api-reference/webhook/list-all-webhooks"},{"title":"Create a Webhook","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json post /api/Webhook","href":"/api-reference/webhook/create-a-webhook"},{"title":"List All Webhook Logs","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Webhook/log/list","href":"/api-reference/webhook/list-all-webhook-logs"},{"title":"List Logs for a Webhook","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Webhook/{id}/log/list","href":"/api-reference/webhook/list-logs-for-a-webhook"},{"title":"Get a Webhook Log","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Webhook/{id}/log/{logId}","href":"/api-reference/webhook/get-a-webhook-log"}]},{"group":"Zapier","pages":[{"title":"Subscribe to Zapier Webhook","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json post /api/Zapier/subscribe","href":"/api-reference/zapier/subscribe-to-zapier-webhook"},{"title":"Unsubscribe from Zapier Webhook","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json delete /api/Zapier/unsubscribe/{id}","href":"/api-reference/zapier/unsubscribe-from-zapier-webhook"},{"title":"Test Zapier Connection","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Zapier/test","href":"/api-reference/zapier/test-zapier-connection"},{"title":"Get Zapier Event Samples","deprecated":null,"version":null,"openapi":"/raise/RaiseAPIOpenAPI.json get /api/Zapier/samples/{eventType}","href":"/api-reference/zapier/get-zapier-event-samples"}]}]},{"tab":"Changelog","pages":[{"title":"Changelog","href":"/changelog/raise"}]}]},{"product":"Virtuous ANALYTICS","pages":[{"title":"Virtuous ANALYTICS","href":"/analytics/data-model-overview"}]},{"product":"Virtuous VOLUNTEER","color":{"light":"#00a3e3","dark":"#00a3e3"},"pages":[{"title":"Virtuous VOLUNTEER","href":"/volunteer/overview"}]},{"product":"Virtuous MOMENTUM","pages":[{"title":"Virtuous MOMENTUM","href":"/momentum/overview"}]}]},"basePath":"","title":"Replace a Segment - Virtuous API Docs","deploymentId":"dpl_7LpC8LvxVNTZSB7twCcVwH4TeFKv","buildId":"dpl_7LpC8LvxVNTZSB7twCcVwH4TeFKv","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-VIWbtsv8.js","snippetPresets-ewmdA2iz.js","utils-DEEnXwTM.js","style-to-object-BY3JEAdk.js","utils-BUI5OFKw.js","v4-DIgz8zy6.js","addUniqueKeysToSchema-DczDVjtE.js","conditional-requirements-CFM0id0Q.js","cloneDeep-C1QFmpNs.js","_Uint8Array-0FSGLZoF.js","isObject-FP1Yky1u.js","ApiExamples-DNfazWM6.js","usePlaygroundInputsStore-CU9Zyvn9.js","shallow-DBWJPCN_.js","isEqual-BgubGfZd.js","CodeSnippets-WO5yBq5U.js","CodeSnippet-CATPUnsR.js","getApiPlaygroundDisplay-DVuSDqoz.js","Page-B2HLrc-g.js","DynamicMarkdown-D4bAuXRS.js","SectionHeading-BNNqN1He.js","icon-C7peNQV4.js","MethodPill-Bl2guf_0.js","getPastedJson-B_gFzCQb.js","Check2Icon-BLniSudB.js","axios-CsQoIw0U.js","Markdown-sagBpmAe.js","AssistantPageLink-CgMPWeT2.js","dist-C5tMjMKm.js","lib-DMeTj1gb.js","lib-B8HbPgcC.js","katex-Dbtb6Wk7.js","html-void-elements-mCSPHezU.js","marked.esm-CZWythHk.js"]}